Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface MutablePortletPersonalization

All Superinterfaces:
  MutablePersonalizedObject, PersonalizedObject, PersonalizedResource, PortalResource, PortalScopedObject, PortletPersonalization

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface MutablePortletPersonalization
extends PortletPersonalization, MutablePersonalizedObject

Interface `MutablePortletPersonalization` represents an editable personalization of a `Portlet` for a given identity.In the same way that a `ProfileIdentity` can represent either a usergroup or a user within a usergroup, so a `MutablePortletPersonalization` can represent the mutable personalization of a `Portlet` for either a usergroup or a user within a usergroup.

Note: Changes made to objects implementing this interface are only expected to change the local state of the object. To persist updates this object (or an object that contains it) would have to be passed to an appropriate service, such as the `PortalManager` EJB.

Method Summary
`void` | `setAvailable(Boolean available)` Deprecated. Sets whether this portlet is currently specified as available for this user or group.
`void` | `setDefaultStateMinimized(Boolean defaultStateMinimized)` Deprecated. Sets whether this portlet should initially be specified as minimized for this user or group.
`void` | `setFloatable(Boolean floatable)` Deprecated. Sets whether this portlet is currently specified as floatable for this user or group.
`void` | `setMandatory(Boolean mandatory)` Deprecated. Sets whether this portlet is currently specified as mandatory for this user or group.
`void` | `setMaximizable(Boolean maximizable)` Deprecated. Sets whether this portlet is currently specified as maximizable for this user or group.
`void` | `setMinimizable(Boolean minimizable)` Deprecated. Sets whether this portlet is currently specified as minimizable for this user or group.
`void` | `setMinimized(Boolean minimized)` Deprecated. Sets whether this portlet is currently specified as minimized for this user or group.
`void` | `setMovable(Boolean movable)` Deprecated. Sets whether this portlet is currently specified as movable for this user or group.
`void` | `setPlaceholderIdentifier(PlaceholderIdentifier placeholderId)` Deprecated. Specifies the placeholder that this portlet should be rendered within for this identity.
`void` | `setPlaceholderIndex(int placeholderIndex)` Deprecated. Specifies the position within its placeholder that this portlet occupies.
`void` | `setRemovable(Boolean removable)` Deprecated. Sets whether this portlet is currently specified as removable for this user or group.
`void` | `setVisible(Boolean visible)` Deprecated. Sets whether this portlet is currently specified as visible for this user or group.

Methods inherited from interface com.bea.portal.model.PortletPersonalization
`getIdentifier, getPlaceholderIdentifier, getPlaceholderIndex, getPortletIdentifier, isAvailable, isDefaultStateMinimized, isEntitled, isFloatable, isMandatory, isMaximizable, isMinimizable, isMinimized, isMovable, isVisible`

Methods inherited from interface com.bea.portal.model.PortalResource
`getResourceIdentifier`

Methods inherited from interface com.bea.portal.model.PortalScopedObject
`getPortalIdentifier`

Methods inherited from interface com.bea.portal.model.PersonalizedObject
`getDisplayName, getProfileIdentity`

Methods inherited from interface com.bea.portal.model.MutablePersonalizedObject
`setDisplayName`

Method Detail

### setAvailable

    public void setAvailable(Boolean available)

  Deprecated.
  Sets whether this portlet is currently specified as available for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this portlet should be available.

  Parameters:
    `available` - whether the portlet is specified as available (or unspecified).

### setDefaultStateMinimized

    public void setDefaultStateMinimized(Boolean defaultStateMinimized)

  Deprecated.
  Sets whether this portlet should initially be specified as minimized for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this portlet should be initially minimized.

  Parameters:
    `defaultStateMinimized` - whether the portlet is initially specified as minimized (or unspecified).

### setFloatable

    public void setFloatable(Boolean floatable)

  Deprecated.
  Sets whether this portlet is currently specified as floatable for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this portlet should be floatable.

  Parameters:
    `floatable` - whether the portlet is specified as floatable (or unspecified).

### setMandatory

    public void setMandatory(Boolean mandatory)

  Deprecated.
  Sets whether this portlet is currently specified as mandatory for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this portlet should be mandatory.

  Parameters:
    `mandatory` - whether the portlet is specified as mandatory (or unspecified).

### setMaximizable

    public void setMaximizable(Boolean maximizable)

  Deprecated.
  Sets whether this portlet is currently specified as maximizable for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this portlet should be maximizable.

  Parameters:
    `maximizable` - whether the portlet is specified as maximizable (or unspecified).

### setMinimizable

    public void setMinimizable(Boolean minimizable)

  Deprecated.
  Sets whether this portlet is currently specified as minimizable for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this portlet should be minimizable.

  Parameters:
    `minimizable` - whether the portlet is specified as minimizable (or unspecified).

### setMinimized

    public void setMinimized(Boolean minimized)

  Deprecated.
  Sets whether this portlet is currently specified as minimized for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this portlet should be minimized.

  Parameters:
    `minimized` - whether the portlet is specified as minimized (or unspecified).

### setMovable

    public void setMovable(Boolean movable)

  Deprecated.
  Sets whether this portlet is currently specified as movable for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this portlet should be movable.

  Parameters:
    `movable` - whether the portlet is specified as movable (or unspecified).

### setPlaceholderIdentifier

    public void setPlaceholderIdentifier(PlaceholderIdentifier placeholderId)

  Deprecated.
  Specifies the placeholder that this portlet should be rendered within for this identity.

  Parameters:
    `placeholderId` - a `PlaceholderIdentifier` specifying the placeholder to render this portlet inside.

### setPlaceholderIndex

    public void setPlaceholderIndex(int placeholderIndex)

  Deprecated.
  Specifies the position within its placeholder that this portlet occupies.

  Parameters:
    `placeholderIndex` - A natural number specifying the portlets position within its placeholder.

### setRemovable

    public void setRemovable(Boolean removable)

  Deprecated.
  Sets whether this portlet is currently specified as removable for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this portlet should be removable.

  Parameters:
    `removable` - whether the portlet is specified as removable (or unspecified).

### setVisible

    public void setVisible(Boolean visible)

  Deprecated.
  Sets whether this portlet is currently specified as visible for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this portlet should be visible.

  Parameters:
    `visible` - whether the portlet is specified as visible (or unspecified).

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved